### org.jfree.layouting.output

# Class OutputProcessorFeature

- `java.lang.Object`
- - `org.jfree.layouting.output.OutputProcessorFeature`

Implemented Interfaces:
  Serializable

Known Direct Subclasses:
  OutputProcessorFeature.BooleanOutputProcessorFeature, OutputProcessorFeature.NumericOutputProcessorFeature

`public abstract class OutputProcessorFeature`
`extends java.lang.Object`
`implements Serializable`

Creation-Date: 14.12.2005, 13:47:47

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `OutputProcessorFeature.BooleanOutputProcessorFeature`

  `static class`

  `OutputProcessorFeature.NumericOutputProcessorFeature`

  ## Field Summary

  `static OutputProcessorFeature.BooleanOutputProcessorFeature`

  `BACKGROUND_IMAGE`
    Defines, whether the output target allows background images.

  `static OutputProcessorFeature.NumericOutputProcessorFeature`

  `DEFAULT_FONT_SIZE`

  `static OutputProcessorFeature.NumericOutputProcessorFeature`

  `DEVICE_RESOLUTION`
    Defines the device resolution in Pixel-per-inch.

  `static OutputProcessorFeature.BooleanOutputProcessorFeature`

  `FONT_FRACTIONAL_METRICS`
    Defines, whether the output uses fractional metrics.

  `static OutputProcessorFeature.NumericOutputProcessorFeature`

  `FONT_SMOOTH_THRESHOLD`
    Defines the minimum size for the font smoothing.

  `static OutputProcessorFeature.BooleanOutputProcessorFeature`

  `FONT_SUPPORTS_ANTI_ALIASING`
    Defines, whether the output target allows the configuration of anti-aliasing of fonts.

  ## Constructor Summary

  `OutputProcessorFeature(String name)`

  ## Method Summary

  `boolean`

  `equals(Object o)`

  `int`

  `hashCode()`

## Field Details

### BACKGROUND_IMAGE

    public static final OutputProcessorFeature.BooleanOutputProcessorFeature BACKGROUND_IMAGE

> Defines, whether the output target allows background images. The 'excel' export and the plain-text export are known to ignore background images.

### DEFAULT_FONT_SIZE

    public static final OutputProcessorFeature.NumericOutputProcessorFeature DEFAULT_FONT_SIZE

### DEVICE_RESOLUTION

    public static final OutputProcessorFeature.NumericOutputProcessorFeature DEVICE_RESOLUTION

> Defines the device resolution in Pixel-per-inch. This is a hint to make scaling of images more effective. LibLayout still uses the default 72dpi resolution defined by Java for all computations.

### FONT_FRACTIONAL_METRICS

    public static final OutputProcessorFeature.BooleanOutputProcessorFeature FONT_FRACTIONAL_METRICS

> Defines, whether the output uses fractional metrics. Integer metrics might be faster, but they are also inaccurate.

### FONT_SMOOTH_THRESHOLD

    public static final OutputProcessorFeature.NumericOutputProcessorFeature FONT_SMOOTH_THRESHOLD

> Defines the minimum size for the font smoothing. Fonts below that size will not have aliasing enabled, as this may render the font unreadable.

### FONT_SUPPORTS_ANTI_ALIASING

    public static final OutputProcessorFeature.BooleanOutputProcessorFeature FONT_SUPPORTS_ANTI_ALIASING

> Defines, whether the output target allows the configuration of anti-aliasing of fonts.

> The Graphics2D is one of the targets that support this feature, while the PDF-export ignores aliasing requests.

## Constructor Details

### OutputProcessorFeature

    protected OutputProcessorFeature(String name)

## Method Details

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()